
Smart Proxy - Refactor #23799

Make PuppetCA pluggable

06/04/2018 12:48 PM - Julian Todt

Status: Closed   

Priority: Normal   

Assignee: Julian Todt   

Category: PuppetCA   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/586

  

Description

Since we are planning to offer alternative options for autosinging in the future (token based instead of hostname based) (see [[

http://projects.theforeman.org/issues/23211]]), and want to allow users to choose their autosigning variant (primarily to allow

compatibility with old versions, old foreman versions etc) we need to make the PuppetCA module pluggable, which means moving

the autosinging functionality to a provider, which can then be swapped using the SmartProxy settings. We also want to clean up the

module a bit and use dependency injections etc. The common logic for listing/signing/cleaning certificates (not autosign-entries) that

uses the `puppet cert` command will remain in the puppetca-module.

Related issues:

Related to Smart Proxy - Bug #24553: PuppetCA migration does not work Closed

Associated revisions

Revision e3256834 - 06/21/2018 01:32 PM - Julian Todt

Fixes #23799 - Refactor: Make PuppetCa pluggable

History

#1 - 06/07/2018 10:52 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/586 added

#2 - 06/21/2018 01:33 PM - Timo Goebel

- translation missing: en.field_release set to 353

#3 - 06/21/2018 02:01 PM - Julian Todt

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e3256834a3c3f34d23fafeef807cb63e3d7e8950.

#4 - 07/24/2018 08:35 AM - Tomer Brisker

- Triaged set to No

- Fixed in Releases  added

#5 - 08/07/2018 08:34 AM - Lukas Zapletal

- Related to Bug #24553: PuppetCA migration does not work added

#6 - 08/29/2018 12:33 PM - Ewoud Kohl van Wijngaarden

- Target version changed from 869 to 1.19.0

- Fixed in Releases 1.19.0 added

- Fixed in Releases deleted ()
